Skip to main content
POST
/
api
/
v1
/
electricity
/
validate
Validate Meter
curl --request POST \
  --url https://api.dancity.app/api/v1/electricity/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "meterNumber": "45012345678",
  "billerCode": "EKEDC",
  "amount": 2000,
  "meterType": "prepaid"
}
'
{
  "success": true,
  "message": "Validation successful",
  "data": {
    "status": "success",
    "customerName": "John Doe",
    "address": "12 Example Street, Lagos",
    "meterNumber": "45012345678",
    "billerCode": "EKEDC",
    "message": "Validation successful"
  }
}

Authorizations

Authorization
string
header
required

Merchant API key from the Dancity dashboard.

Body

application/json
meterNumber
string
required
Example:

"45012345678"

billerCode
string
required

Biller code from GET /api/v1/products (e.g. EKEDC) or display name (e.g. Eko Electricity).

Example:

"EKEDC"

amount
number
required
Example:

2000

meterType
enum<string>
required
Available options:
prepaid,
postpaid
Example:

"prepaid"

Response

Validation successful